#!/system/bin/sh

# Function to remount partitions as read-write
mount_partitions() {
    mount -o rw,remount /system
    mount -o rw,remount /vendor
}

#LockFps 120
settings put system user_refresh_rate 120
settings put system min_refresh_rate 120
settings put system peak_refresh_rate 120
settings put system user_refresh_rate 120
setprop persist.vendor.display.refresh_rate 120

# Set refresh rate and check the result
set_refresh_rate() {
    local desired_rate=120
    setprop persist.vendor.display.refresh_rate $desired_rate

    # Wait a moment for the change to take effect
    sleep 2

    # Check if the refresh rate has changed
    local refresh_rate=$(getprop persist.vendor.display.refresh_rate)

    # Verify the result
    if [ "$refresh_rate" = "$desired_rate" ]; then
        echo "Refresh rate successfully set to $desired_rate Hz"
        log -t REFRESH_RATE "Refresh rate successfully set to $desired_rate Hz"
    else
        echo "Failed to set refresh rate to $desired_rate Hz"
        log -t REFRESH_RATE "Failed to set refresh rate to $desired_rate Hz"
    fi
}

# Execute
mount_partitions
set_refresh_rate

# Inform that the script has completed
echo "Service script has finished running."
exit 0
